import{s as ms,n as cs,o as fs}from"../chunks/scheduler.b108d059.js";import{S as hs,i as ds,g as i,s as a,r as u,A as $s,h as p,f as s,c as l,j as us,u as r,x as o,k as rs,y as ys,a as n,v as m,d as c,t as f,w as h}from"../chunks/index.008de539.js";import{C as $}from"../chunks/CodeBlock.3968c746.js";import{H as d,E as gs}from"../chunks/EditOnGithub.d1c48e3d.js";function Ms(Je){let y,Ct,jt,qt,g,vt,M,_e=`Column mapping is a critical setup process in AutoTrain that informs the system
about the roles of different columns in your dataset. Whether it’s a tabular
dataset, text classification data, or another type, the need for precise
column mapping ensures that AutoTrain processes each dataset element correctly.`,wt,T,Ut,j,Ie=`AutoTrain has no way of knowing what the columns in your dataset represent.
AutoTrain requires a clear understanding of each column’s function within
your dataset to train models effectively. This is managed through a
straightforward mapping system in the user interface, represented as a dictionary.
Here’s a typical example:`,bt,x,Jt,C,He=`In this example, the <code>text column in your dataset corresponds to the text data AutoTrain uses for processing, and the </code>target“ column is treated as the
label for training.`,_t,q,ke=`But let’s not get confused! AutoTrain has a way to understand what each column in your dataset represents.
If your data is already in AutoTrain format, you dont need to change column mappings.
If not, you can easily map the columns in your dataset to the correct AutoTrain format.`,It,v,Le="In the UI, you will see column mapping as a dictionary:",Ht,w,kt,U,Pe=`Here, the column <code>text</code> in your dataset is mapped to the AutoTrain column <code>text</code>,
and the column <code>target</code> in your dataset is mapped to the AutoTrain column <code>label</code>.`,Lt,b,Re="Let’s say you are training a text classification model and your dataset has the following columns:",Pt,J,Rt,_,Ve="You can map these columns to the AutoTrain format as follows:",Vt,I,At,H,Ae="If your dataset has the columns: <code>text</code> and <code>label</code>, you don’t need to change the column mapping.",St,k,Se="Let’s take a look at column mappings for each task:",Zt,L,Gt,P,Ze=`Note: For all LLM tasks, if the text column(s) is not formatted i.e. if contains samples in chat format (dict or json), then you
should use <code>chat_template</code> parameter. Read more about it in LLM Parameters Section.`,Qt,R,zt,V,Ft,A,Ge="<code>text</code>: The column in your dataset that contains the text data.",Wt,S,Nt,Z,Bt,G,Qe="<code>text</code>: The column in your dataset that contains the text data.",Xt,Q,ze="<code>rejected_text</code>: The column in your dataset that contains the rejected text data.",Yt,z,Et,F,Dt,W,Fe="<code>prompt</code>: The column in your dataset that contains the prompt data.",Ot,N,We="<code>text</code>: The column in your dataset that contains the text data.",Kt,B,Ne="<code>rejected_text</code>: The column in your dataset that contains the rejected text data.",te,X,ee,Y,Be="For text classification and regression, the column mapping should be as follows:",se,E,ne,D,Xe="<code>text</code>: The column in your dataset that contains the text data.",ae,O,Ye="<code>label</code>: The column in your dataset that contains the target variable.",le,K,ie,tt,pe,et,Ee="<code>text</code>: The column in your dataset that contains the tokens. These tokens must be a list of strings.",oe,st,De="<code>label</code>: The column in your dataset that contains the tags. These tags must be a list of strings.",ue,nt,Oe="For token classification, if you are using a CSV, make sure that the columns are stringified lists.",re,at,me,lt,ce,it,Ke="<code>id</code>: The column in your dataset that contains the unique identifier for each row.",fe,pt,ts="<code>label</code>: The column in your dataset that contains the target variable. This should be a list of strings.",he,ot,es="For a single target column, you can pass a list with a single element.",de,ut,ss="For multiple target columns, e.g. a multi label classification task, you can pass a list with multiple elements.",$e,rt,ye,mt,ns="Dreambooth doesn’t require column mapping.",ge,ct,Me,ft,as="For image classification, the column mapping should be as follows:",Te,ht,je,dt,ls=`Image classification requires column mapping only when you are using a dataset from Hugging Face Hub.
For uploaded datasets, leave column mapping as it is.`,xe,$t,Ce,yt,is="To ensure your model trains correctly:",qe,gt,ps="<li><p>Verify Column Names: Double-check that the names used in the mapping dictionary accurately reflect those in your dataset.</p></li> <li><p>Format Appropriately: Especially in token classification, ensure your data format matches expectations (e.g., lists of strings).</p></li> <li><p>Update Mappings for New Datasets: Each new dataset might require its unique mappings based on its structure and the task at hand.</p></li>",ve,Mt,os=`By following these guidelines and using the provided examples as templates,
you can effectively instruct AutoTrain on how to interpret and handle your
data for various machine learning tasks. This process is fundamental for
achieving optimal results from your model training endeavors.`,we,Tt,Ue,xt,be;return g=new d({props:{title:"Understanding Column Mapping",local:"understanding-column-mapping",headingTag:"h1"}}),T=new d({props:{title:"How Column Mapping Works",local:"how-column-mapping-works",headingTag:"h2"}}),x=new $({props:{code:"JTdCJTIydGV4dCUyMiUzQSUyMCUyMnRleHQlMjIlMkMlMjAlMjJsYWJlbCUyMiUzQSUyMCUyMnRhcmdldCUyMiU3RA==",highlighted:'<span class="hljs-punctuation">{</span><span class="hljs-attr">&quot;text&quot;</span><span class="hljs-punctuation">:</span> <span class="hljs-string">&quot;text&quot;</span><span class="hljs-punctuation">,</span> <span class="hljs-attr">&quot;label&quot;</span><span class="hljs-punctuation">:</span> <span class="hljs-string">&quot;target&quot;</span><span class="hljs-punctuation">}</span>',wrap:!1}}),w=new $({props:{code:"JTdCJTIydGV4dCUyMiUzQSUyMCUyMnRleHQlMjIlMkMlMjAlMjJsYWJlbCUyMiUzQSUyMCUyMnRhcmdldCUyMiU3RA==",highlighted:'<span class="hljs-punctuation">{</span><span class="hljs-attr">&quot;text&quot;</span><span class="hljs-punctuation">:</span> <span class="hljs-string">&quot;text&quot;</span><span class="hljs-punctuation">,</span> <span class="hljs-attr">&quot;label&quot;</span><span class="hljs-punctuation">:</span> <span class="hljs-string">&quot;target&quot;</span><span class="hljs-punctuation">}</span>',wrap:!1}}),J=new $({props:{code:"ZnVsbF90ZXh0JTJDJTIwdGFyZ2V0X3NlbnRpbWVudCUwQSUyMnRoaXMlMjBtb3ZpZSUyMGlzJTIwZ3JlYXQlMjIlMkMlMjBwb3NpdGl2ZSUwQSUyMnRoaXMlMjBtb3ZpZSUyMGlzJTIwYmFkJTIyJTJDJTIwbmVnYXRpdmU=",highlighted:`full_text, target_sentiment
<span class="hljs-string">&quot;this movie is great&quot;</span>, <span class="hljs-keyword">positive</span>
<span class="hljs-string">&quot;this movie is bad&quot;</span>, <span class="hljs-keyword">negative</span>`,wrap:!1}}),I=new $({props:{code:"JTdCJTIydGV4dCUyMiUzQSUyMCUyMmZ1bGxfdGV4dCUyMiUyQyUyMCUyMmxhYmVsJTIyJTNBJTIwJTIydGFyZ2V0X3NlbnRpbWVudCUyMiU3RA==",highlighted:'<span class="hljs-punctuation">{</span><span class="hljs-attr">&quot;text&quot;</span><span class="hljs-punctuation">:</span> <span class="hljs-string">&quot;full_text&quot;</span><span class="hljs-punctuation">,</span> <span class="hljs-attr">&quot;label&quot;</span><span class="hljs-punctuation">:</span> <span class="hljs-string">&quot;target_sentiment&quot;</span><span class="hljs-punctuation">}</span>',wrap:!1}}),L=new d({props:{title:"LLM",local:"llm",headingTag:"h2"}}),R=new d({props:{title:"SFT / Generic Trainer",local:"sft--generic-trainer",headingTag:"h3"}}),V=new $({props:{code:"JTdCJTIydGV4dCUyMiUzQSUyMCUyMnRleHQlMjIlN0Q=",highlighted:'<span class="hljs-punctuation">{</span><span class="hljs-attr">&quot;text&quot;</span><span class="hljs-punctuation">:</span> <span class="hljs-string">&quot;text&quot;</span><span class="hljs-punctuation">}</span>',wrap:!1}}),S=new d({props:{title:"Reward Trainer",local:"reward-trainer",headingTag:"h3"}}),Z=new $({props:{code:"JTdCJTIydGV4dCUyMiUzQSUyMCUyMnRleHQlMjIlMkMlMjAlMjJyZWplY3RlZF90ZXh0JTIyJTNBJTIwJTIycmVqZWN0ZWRfdGV4dCUyMiU3RA==",highlighted:'<span class="hljs-punctuation">{</span><span class="hljs-attr">&quot;text&quot;</span><span class="hljs-punctuation">:</span> <span class="hljs-string">&quot;text&quot;</span><span class="hljs-punctuation">,</span> <span class="hljs-attr">&quot;rejected_text&quot;</span><span class="hljs-punctuation">:</span> <span class="hljs-string">&quot;rejected_text&quot;</span><span class="hljs-punctuation">}</span>',wrap:!1}}),z=new d({props:{title:"DPO / ORPO Trainer",local:"dpo--orpo-trainer",headingTag:"h3"}}),F=new $({props:{code:"JTdCJTIycHJvbXB0JTIyJTNBJTIwJTIycHJvbXB0JTIyJTJDJTIwJTIydGV4dCUyMiUzQSUyMCUyMnRleHQlMjIlMkMlMjAlMjJyZWplY3RlZF90ZXh0JTIyJTNBJTIwJTIycmVqZWN0ZWRfdGV4dCUyMiU3RA==",highlighted:'<span class="hljs-punctuation">{</span><span class="hljs-attr">&quot;prompt&quot;</span><span class="hljs-punctuation">:</span> <span class="hljs-string">&quot;prompt&quot;</span><span class="hljs-punctuation">,</span> <span class="hljs-attr">&quot;text&quot;</span><span class="hljs-punctuation">:</span> <span class="hljs-string">&quot;text&quot;</span><span class="hljs-punctuation">,</span> <span class="hljs-attr">&quot;rejected_text&quot;</span><span class="hljs-punctuation">:</span> <span class="hljs-string">&quot;rejected_text&quot;</span><span class="hljs-punctuation">}</span>',wrap:!1}}),X=new d({props:{title:"Text Classification & Regression, Seq2Seq",local:"text-classification--regression-seq2seq",headingTag:"h2"}}),E=new $({props:{code:"JTdCJTIydGV4dCUyMiUzQSUyMCUyMmRhdGFzZXRfdGV4dF9jb2x1bW4lMjIlMkMlMjAlMjJsYWJlbCUyMiUzQSUyMCUyMmRhdGFzZXRfdGFyZ2V0X2NvbHVtbiUyMiU3RA==",highlighted:'<span class="hljs-punctuation">{</span><span class="hljs-attr">&quot;text&quot;</span><span class="hljs-punctuation">:</span> <span class="hljs-string">&quot;dataset_text_column&quot;</span><span class="hljs-punctuation">,</span> <span class="hljs-attr">&quot;label&quot;</span><span class="hljs-punctuation">:</span> <span class="hljs-string">&quot;dataset_target_column&quot;</span><span class="hljs-punctuation">}</span>',wrap:!1}}),K=new d({props:{title:"Token Classification",local:"token-classification",headingTag:"h2"}}),tt=new $({props:{code:"JTdCJTIydGV4dCUyMiUzQSUyMCUyMnRva2VucyUyMiUyQyUyMCUyMmxhYmVsJTIyJTNBJTIwJTIydGFncyUyMiU3RA==",highlighted:'<span class="hljs-punctuation">{</span><span class="hljs-attr">&quot;text&quot;</span><span class="hljs-punctuation">:</span> <span class="hljs-string">&quot;tokens&quot;</span><span class="hljs-punctuation">,</span> <span class="hljs-attr">&quot;label&quot;</span><span class="hljs-punctuation">:</span> <span class="hljs-string">&quot;tags&quot;</span><span class="hljs-punctuation">}</span>',wrap:!1}}),at=new d({props:{title:"Tabular Classification & Regression",local:"tabular-classification--regression",headingTag:"h2"}}),lt=new $({props:{code:"JTdCJTIyaWQlMjIlM0ElMjAlMjJpZCUyMiUyQyUyMCUyMmxhYmVsJTIyJTNBJTIwJTVCJTIydGFyZ2V0JTIyJTVEJTdE",highlighted:'{<span class="hljs-string">&quot;id&quot;</span>: <span class="hljs-string">&quot;id&quot;</span>, <span class="hljs-string">&quot;label&quot;</span>: [<span class="hljs-string">&quot;target&quot;</span>]}',wrap:!1}}),rt=new d({props:{title:"DreamBooth LoRA",local:"dreambooth-lora",headingTag:"h1"}}),ct=new d({props:{title:"Image Classification",local:"image-classification",headingTag:"h1"}}),ht=new $({props:{code:"JTdCJTIyaW1hZ2UlMjIlM0ElMjAlMjJpbWFnZV9jb2x1bW4lMjIlMkMlMjAlMjJsYWJlbCUyMiUzQSUyMCUyMmxhYmVsX2NvbHVtbiUyMiU3RA==",highlighted:'<span class="hljs-punctuation">{</span><span class="hljs-attr">&quot;image&quot;</span><span class="hljs-punctuation">:</span> <span class="hljs-string">&quot;image_column&quot;</span><span class="hljs-punctuation">,</span> <span class="hljs-attr">&quot;label&quot;</span><span class="hljs-punctuation">:</span> <span class="hljs-string">&quot;label_column&quot;</span><span class="hljs-punctuation">}</span>',wrap:!1}}),$t=new d({props:{title:"Ensuring Accurate Mapping",local:"ensuring-accurate-mapping",headingTag:"h2"}}),Tt=new gs({props:{source:"https://github.com/huggingface/autotrain-advanced/blob/main/docs/source/col_map.mdx"}}),{c(){y=i("meta"),Ct=a(),jt=i("p"),qt=a(),u(g.$$.fragment),vt=a(),M=i("p"),M.textContent=_e,wt=a(),u(T.$$.fragment),Ut=a(),j=i("p"),j.textContent=Ie,bt=a(),u(x.$$.fragment),Jt=a(),C=i("p"),C.innerHTML=He,_t=a(),q=i("p"),q.textContent=ke,It=a(),v=i("p"),v.textContent=Le,Ht=a(),u(w.$$.fragment),kt=a(),U=i("p"),U.innerHTML=Pe,Lt=a(),b=i("p"),b.textContent=Re,Pt=a(),u(J.$$.fragment),Rt=a(),_=i("p"),_.textContent=Ve,Vt=a(),u(I.$$.fragment),At=a(),H=i("p"),H.innerHTML=Ae,St=a(),k=i("p"),k.textContent=Se,Zt=a(),u(L.$$.fragment),Gt=a(),P=i("p"),P.innerHTML=Ze,Qt=a(),u(R.$$.fragment),zt=a(),u(V.$$.fragment),Ft=a(),A=i("p"),A.innerHTML=Ge,Wt=a(),u(S.$$.fragment),Nt=a(),u(Z.$$.fragment),Bt=a(),G=i("p"),G.innerHTML=Qe,Xt=a(),Q=i("p"),Q.innerHTML=ze,Yt=a(),u(z.$$.fragment),Et=a(),u(F.$$.fragment),Dt=a(),W=i("p"),W.innerHTML=Fe,Ot=a(),N=i("p"),N.innerHTML=We,Kt=a(),B=i("p"),B.innerHTML=Ne,te=a(),u(X.$$.fragment),ee=a(),Y=i("p"),Y.textContent=Be,se=a(),u(E.$$.fragment),ne=a(),D=i("p"),D.innerHTML=Xe,ae=a(),O=i("p"),O.innerHTML=Ye,le=a(),u(K.$$.fragment),ie=a(),u(tt.$$.fragment),pe=a(),et=i("p"),et.innerHTML=Ee,oe=a(),st=i("p"),st.innerHTML=De,ue=a(),nt=i("p"),nt.textContent=Oe,re=a(),u(at.$$.fragment),me=a(),u(lt.$$.fragment),ce=a(),it=i("p"),it.innerHTML=Ke,fe=a(),pt=i("p"),pt.innerHTML=ts,he=a(),ot=i("p"),ot.textContent=es,de=a(),ut=i("p"),ut.textContent=ss,$e=a(),u(rt.$$.fragment),ye=a(),mt=i("p"),mt.textContent=ns,ge=a(),u(ct.$$.fragment),Me=a(),ft=i("p"),ft.textContent=as,Te=a(),u(ht.$$.fragment),je=a(),dt=i("p"),dt.textContent=ls,xe=a(),u($t.$$.fragment),Ce=a(),yt=i("p"),yt.textContent=is,qe=a(),gt=i("ul"),gt.innerHTML=ps,ve=a(),Mt=i("p"),Mt.textContent=os,we=a(),u(Tt.$$.fragment),Ue=a(),xt=i("p"),this.h()},l(t){const e=$s("svelte-u9bgzb",document.head);y=p(e,"META",{name:!0,content:!0}),e.forEach(s),Ct=l(t),jt=p(t,"P",{}),us(jt).forEach(s),qt=l(t),r(g.$$.fragment,t),vt=l(t),M=p(t,"P",{"data-svelte-h":!0}),o(M)!=="svelte-189lf2d"&&(M.textContent=_e),wt=l(t),r(T.$$.fragment,t),Ut=l(t),j=p(t,"P",{"data-svelte-h":!0}),o(j)!=="svelte-1fo6voj"&&(j.textContent=Ie),bt=l(t),r(x.$$.fragment,t),Jt=l(t),C=p(t,"P",{"data-svelte-h":!0}),o(C)!=="svelte-uvflhc"&&(C.innerHTML=He),_t=l(t),q=p(t,"P",{"data-svelte-h":!0}),o(q)!=="svelte-1r4s9hm"&&(q.textContent=ke),It=l(t),v=p(t,"P",{"data-svelte-h":!0}),o(v)!=="svelte-14gfral"&&(v.textContent=Le),Ht=l(t),r(w.$$.fragment,t),kt=l(t),U=p(t,"P",{"data-svelte-h":!0}),o(U)!=="svelte-5676zo"&&(U.innerHTML=Pe),Lt=l(t),b=p(t,"P",{"data-svelte-h":!0}),o(b)!=="svelte-g99gzd"&&(b.textContent=Re),Pt=l(t),r(J.$$.fragment,t),Rt=l(t),_=p(t,"P",{"data-svelte-h":!0}),o(_)!=="svelte-za1gzf"&&(_.textContent=Ve),Vt=l(t),r(I.$$.fragment,t),At=l(t),H=p(t,"P",{"data-svelte-h":!0}),o(H)!=="svelte-12ctue9"&&(H.innerHTML=Ae),St=l(t),k=p(t,"P",{"data-svelte-h":!0}),o(k)!=="svelte-1hg1lhz"&&(k.textContent=Se),Zt=l(t),r(L.$$.fragment,t),Gt=l(t),P=p(t,"P",{"data-svelte-h":!0}),o(P)!=="svelte-1oiamn"&&(P.innerHTML=Ze),Qt=l(t),r(R.$$.fragment,t),zt=l(t),r(V.$$.fragment,t),Ft=l(t),A=p(t,"P",{"data-svelte-h":!0}),o(A)!=="svelte-rp7nhh"&&(A.innerHTML=Ge),Wt=l(t),r(S.$$.fragment,t),Nt=l(t),r(Z.$$.fragment,t),Bt=l(t),G=p(t,"P",{"data-svelte-h":!0}),o(G)!=="svelte-rp7nhh"&&(G.innerHTML=Qe),Xt=l(t),Q=p(t,"P",{"data-svelte-h":!0}),o(Q)!=="svelte-ocm4cm"&&(Q.innerHTML=ze),Yt=l(t),r(z.$$.fragment,t),Et=l(t),r(F.$$.fragment,t),Dt=l(t),W=p(t,"P",{"data-svelte-h":!0}),o(W)!=="svelte-1ksb9ot"&&(W.innerHTML=Fe),Ot=l(t),N=p(t,"P",{"data-svelte-h":!0}),o(N)!=="svelte-rp7nhh"&&(N.innerHTML=We),Kt=l(t),B=p(t,"P",{"data-svelte-h":!0}),o(B)!=="svelte-ocm4cm"&&(B.innerHTML=Ne),te=l(t),r(X.$$.fragment,t),ee=l(t),Y=p(t,"P",{"data-svelte-h":!0}),o(Y)!=="svelte-q7g5pn"&&(Y.textContent=Be),se=l(t),r(E.$$.fragment,t),ne=l(t),D=p(t,"P",{"data-svelte-h":!0}),o(D)!=="svelte-rp7nhh"&&(D.innerHTML=Xe),ae=l(t),O=p(t,"P",{"data-svelte-h":!0}),o(O)!=="svelte-550yby"&&(O.innerHTML=Ye),le=l(t),r(K.$$.fragment,t),ie=l(t),r(tt.$$.fragment,t),pe=l(t),et=p(t,"P",{"data-svelte-h":!0}),o(et)!=="svelte-1fjfifr"&&(et.innerHTML=Ee),oe=l(t),st=p(t,"P",{"data-svelte-h":!0}),o(st)!=="svelte-flz71m"&&(st.innerHTML=De),ue=l(t),nt=p(t,"P",{"data-svelte-h":!0}),o(nt)!=="svelte-1nliwbq"&&(nt.textContent=Oe),re=l(t),r(at.$$.fragment,t),me=l(t),r(lt.$$.fragment,t),ce=l(t),it=p(t,"P",{"data-svelte-h":!0}),o(it)!=="svelte-1v3w6e4"&&(it.innerHTML=Ke),fe=l(t),pt=p(t,"P",{"data-svelte-h":!0}),o(pt)!=="svelte-j0twh4"&&(pt.innerHTML=ts),he=l(t),ot=p(t,"P",{"data-svelte-h":!0}),o(ot)!=="svelte-19absnb"&&(ot.textContent=es),de=l(t),ut=p(t,"P",{"data-svelte-h":!0}),o(ut)!=="svelte-1vvzcmw"&&(ut.textContent=ss),$e=l(t),r(rt.$$.fragment,t),ye=l(t),mt=p(t,"P",{"data-svelte-h":!0}),o(mt)!=="svelte-ghdvng"&&(mt.textContent=ns),ge=l(t),r(ct.$$.fragment,t),Me=l(t),ft=p(t,"P",{"data-svelte-h":!0}),o(ft)!=="svelte-1t30fx9"&&(ft.textContent=as),Te=l(t),r(ht.$$.fragment,t),je=l(t),dt=p(t,"P",{"data-svelte-h":!0}),o(dt)!=="svelte-fcydv0"&&(dt.textContent=ls),xe=l(t),r($t.$$.fragment,t),Ce=l(t),yt=p(t,"P",{"data-svelte-h":!0}),o(yt)!=="svelte-14icqd3"&&(yt.textContent=is),qe=l(t),gt=p(t,"UL",{"data-svelte-h":!0}),o(gt)!=="svelte-j3ollh"&&(gt.innerHTML=ps),ve=l(t),Mt=p(t,"P",{"data-svelte-h":!0}),o(Mt)!=="svelte-1la9sm1"&&(Mt.textContent=os),we=l(t),r(Tt.$$.fragment,t),Ue=l(t),xt=p(t,"P",{}),us(xt).forEach(s),this.h()},h(){rs(y,"name","hf:doc:metadata"),rs(y,"content",Ts)},m(t,e){ys(document.head,y),n(t,Ct,e),n(t,jt,e),n(t,qt,e),m(g,t,e),n(t,vt,e),n(t,M,e),n(t,wt,e),m(T,t,e),n(t,Ut,e),n(t,j,e),n(t,bt,e),m(x,t,e),n(t,Jt,e),n(t,C,e),n(t,_t,e),n(t,q,e),n(t,It,e),n(t,v,e),n(t,Ht,e),m(w,t,e),n(t,kt,e),n(t,U,e),n(t,Lt,e),n(t,b,e),n(t,Pt,e),m(J,t,e),n(t,Rt,e),n(t,_,e),n(t,Vt,e),m(I,t,e),n(t,At,e),n(t,H,e),n(t,St,e),n(t,k,e),n(t,Zt,e),m(L,t,e),n(t,Gt,e),n(t,P,e),n(t,Qt,e),m(R,t,e),n(t,zt,e),m(V,t,e),n(t,Ft,e),n(t,A,e),n(t,Wt,e),m(S,t,e),n(t,Nt,e),m(Z,t,e),n(t,Bt,e),n(t,G,e),n(t,Xt,e),n(t,Q,e),n(t,Yt,e),m(z,t,e),n(t,Et,e),m(F,t,e),n(t,Dt,e),n(t,W,e),n(t,Ot,e),n(t,N,e),n(t,Kt,e),n(t,B,e),n(t,te,e),m(X,t,e),n(t,ee,e),n(t,Y,e),n(t,se,e),m(E,t,e),n(t,ne,e),n(t,D,e),n(t,ae,e),n(t,O,e),n(t,le,e),m(K,t,e),n(t,ie,e),m(tt,t,e),n(t,pe,e),n(t,et,e),n(t,oe,e),n(t,st,e),n(t,ue,e),n(t,nt,e),n(t,re,e),m(at,t,e),n(t,me,e),m(lt,t,e),n(t,ce,e),n(t,it,e),n(t,fe,e),n(t,pt,e),n(t,he,e),n(t,ot,e),n(t,de,e),n(t,ut,e),n(t,$e,e),m(rt,t,e),n(t,ye,e),n(t,mt,e),n(t,ge,e),m(ct,t,e),n(t,Me,e),n(t,ft,e),n(t,Te,e),m(ht,t,e),n(t,je,e),n(t,dt,e),n(t,xe,e),m($t,t,e),n(t,Ce,e),n(t,yt,e),n(t,qe,e),n(t,gt,e),n(t,ve,e),n(t,Mt,e),n(t,we,e),m(Tt,t,e),n(t,Ue,e),n(t,xt,e),be=!0},p:cs,i(t){be||(c(g.$$.fragment,t),c(T.$$.fragment,t),c(x.$$.fragment,t),c(w.$$.fragment,t),c(J.$$.fragment,t),c(I.$$.fragment,t),c(L.$$.fragment,t),c(R.$$.fragment,t),c(V.$$.fragment,t),c(S.$$.fragment,t),c(Z.$$.fragment,t),c(z.$$.fragment,t),c(F.$$.fragment,t),c(X.$$.fragment,t),c(E.$$.fragment,t),c(K.$$.fragment,t),c(tt.$$.fragment,t),c(at.$$.fragment,t),c(lt.$$.fragment,t),c(rt.$$.fragment,t),c(ct.$$.fragment,t),c(ht.$$.fragment,t),c($t.$$.fragment,t),c(Tt.$$.fragment,t),be=!0)},o(t){f(g.$$.fragment,t),f(T.$$.fragment,t),f(x.$$.fragment,t),f(w.$$.fragment,t),f(J.$$.fragment,t),f(I.$$.fragment,t),f(L.$$.fragment,t),f(R.$$.fragment,t),f(V.$$.fragment,t),f(S.$$.fragment,t),f(Z.$$.fragment,t),f(z.$$.fragment,t),f(F.$$.fragment,t),f(X.$$.fragment,t),f(E.$$.fragment,t),f(K.$$.fragment,t),f(tt.$$.fragment,t),f(at.$$.fragment,t),f(lt.$$.fragment,t),f(rt.$$.fragment,t),f(ct.$$.fragment,t),f(ht.$$.fragment,t),f($t.$$.fragment,t),f(Tt.$$.fragment,t),be=!1},d(t){t&&(s(Ct),s(jt),s(qt),s(vt),s(M),s(wt),s(Ut),s(j),s(bt),s(Jt),s(C),s(_t),s(q),s(It),s(v),s(Ht),s(kt),s(U),s(Lt),s(b),s(Pt),s(Rt),s(_),s(Vt),s(At),s(H),s(St),s(k),s(Zt),s(Gt),s(P),s(Qt),s(zt),s(Ft),s(A),s(Wt),s(Nt),s(Bt),s(G),s(Xt),s(Q),s(Yt),s(Et),s(Dt),s(W),s(Ot),s(N),s(Kt),s(B),s(te),s(ee),s(Y),s(se),s(ne),s(D),s(ae),s(O),s(le),s(ie),s(pe),s(et),s(oe),s(st),s(ue),s(nt),s(re),s(me),s(ce),s(it),s(fe),s(pt),s(he),s(ot),s(de),s(ut),s($e),s(ye),s(mt),s(ge),s(Me),s(ft),s(Te),s(je),s(dt),s(xe),s(Ce),s(yt),s(qe),s(gt),s(ve),s(Mt),s(we),s(Ue),s(xt)),s(y),h(g,t),h(T,t),h(x,t),h(w,t),h(J,t),h(I,t),h(L,t),h(R,t),h(V,t),h(S,t),h(Z,t),h(z,t),h(F,t),h(X,t),h(E,t),h(K,t),h(tt,t),h(at,t),h(lt,t),h(rt,t),h(ct,t),h(ht,t),h($t,t),h(Tt,t)}}}const Ts='{"title":"Understanding Column Mapping","local":"understanding-column-mapping","sections":[{"title":"How Column Mapping Works","local":"how-column-mapping-works","sections":[],"depth":2},{"title":"LLM","local":"llm","sections":[{"title":"SFT / Generic Trainer","local":"sft--generic-trainer","sections":[],"depth":3},{"title":"Reward Trainer","local":"reward-trainer","sections":[],"depth":3},{"title":"DPO / ORPO Trainer","local":"dpo--orpo-trainer","sections":[],"depth":3}],"depth":2},{"title":"Text Classification & Regression, Seq2Seq","local":"text-classification--regression-seq2seq","sections":[],"depth":2},{"title":"Token Classification","local":"token-classification","sections":[],"depth":2},{"title":"Tabular Classification & Regression","local":"tabular-classification--regression","sections":[],"depth":2}],"depth":1}';function js(Je){return fs(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class ws extends hs{constructor(y){super(),ds(this,y,js,Ms,ms,{})}}export{ws as component};
